Package org.apache.wiki.search.tika

## Class TikaSearchProvider

- java.lang.Object
- - org.apache.wiki.search.LuceneSearchProvider
  - - org.apache.wiki.search.tika.TikaSearchProvider

All Implemented Interfaces:
  `org.apache.wiki.api.providers.WikiProvider`, `SearchProvider`

    public class TikaSearchProvider
    extends LuceneSearchProvider

Search provider that extends {link LuceneSearchProvider} using Apache Tika for indexing attachment content.

Since:
  2.11.0
See Also:
  JSPWIKI-469

### Field Summary

### Fields inherited from class org.apache.wiki.search.LuceneSearchProvider

`FLAG_CONTEXTS, LUCENE_ATTACHMENTS, LUCENE_AUTHOR, LUCENE_ID, LUCENE_PAGE_CONTENTS, LUCENE_PAGE_KEYWORDS, LUCENE_PAGE_NAME, m_updates, MAX_SEARCH_HITS, PROP_LUCENE_ANALYZER, SEARCHABLE_FILE_SUFFIXES`

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

### Constructor Summary

Constructors
`TikaSearchProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getAttachmentContent​(org.apache.wiki.api.core.Attachment att)`

### Methods inherited from class org.apache.wiki.search.LuceneSearchProvider

`doFullLuceneReindex, findPages, findPages, getAttachmentContent, getEngine, getProviderInfo, initialize, luceneIndexPage, pageRemoved, reindexPage, updateLuceneIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TikaSearchProvider

    public TikaSearchProvider()

### Method Detail

#### getAttachmentContent

    protected java.lang.String getAttachmentContent​(org.apache.wiki.api.core.Attachment att)

Overrides:
  `getAttachmentContent` in class `LuceneSearchProvider`
Parameters:
  `att` - Attachment to get content for. Filename extension is used to determine the type of the attachment.
Returns:
  String representing the content of the file.